      program treenline
c
      real tree(2000)
      real inum(2000)
c
      open (unit=4,file='treeline-composite.dat',status='unknown')
c
      open (unit=11,file='treeline1.dat',status='old')
      open (unit=12,file='treeline2.dat',status='old')
      open (unit=13,file='treeline3.dat',status='old')
      open (unit=14,file='treeline4.dat',status='old')
      open (unit=15,file='treeline5.dat',status='old')
      open (unit=16,file='treeline6.dat',status='old')
      open (unit=17,file='treeline7.dat',status='old')
      open (unit=18,file='treeline8.dat',status='old')
      open (unit=19,file='treeline9.dat',status='old')
      open (unit=20,file='treeline10.dat',status='old')
      open (unit=21,file='treeline11.dat',status='old')

      do iyear=1,2000
         inum(iyear)=0.0
         tree(iyear)=0.0
      end do
      do i=11,21
         do j=1,2000
            read (i,*,end=99) iyear,tr
            tree(iyear)=tree(iyear)+tr
            inum(iyear)=inum(iyear)+1
         end do
99       continue
      end do
      do i=1400,1980
         write (4,888) i,tree(i)/float(inum(i))
      end do
888   format (i6,f14.4)
      do i=11,21
         close (unit=i)
      end do
      close (unit=4)
      stop
      end
